Mailinglist Archive: opensuse-buildservice (247 mails)

< Previous Next >
[fix 2 typos] Re: [Fwd: Re: [opensuse-buildservice] peazip bug report]
  • From: Sérgio Basto <sergio@xxxxxxxxxx>
  • Date: Mon, 10 Jun 2013 22:54:08 +0100
  • Message-id: <1370901248.23536.16.camel@segulix>
Hi,
Peazip 4.9.1 also doesn't work that why I updated.
If OBS doesn't use fedora updates repo in default repo , is wrong because
should use it
definitively .
Also I'm not sure that will fix Peazip (building with lazarus-1.0.4-1.fc18) :/

Best regards,

On Seg, 2013-06-10 at 23:13 +0800, Huaren Zhong wrote:
AFAIK, OBS does not update packages in default repo.
Rebuilding another lazarus package in local repo is also
not a good idea...
Maybe stay on peazip 4.9.1 and wait till FC19 to update?

2013/6/10 Sérgio Basto <sergio@xxxxxxxxxx>
Hi, FYI if you don't read opensuse-buildservice ML.
builder does not use repo updates ? could we change it ?

Thanks,

-------- Forwarded Message --------
From: Sérgio Basto <sergio@xxxxxxxxxx>
To: Jan Engelhardt <jengelh@xxxxxxx>
Cc: opensuse-buildservice <opensuse-buildservice@xxxxxxxxxxxx>
Subject: Re: [opensuse-buildservice] peazip bug report
Date: Mon, 10 Jun 2013 12:21:14 +0100

On Sáb, 2013-06-08 at 18:43 +0100, Sérgio Basto wrote:
> On Sáb, 2013-06-08 at 17:29 +0200, Jan Engelhardt wrote:
> > On Saturday 2013-06-08 17:04, Sérgio Basto wrote:
> >
> > >> >yum --enablerepo=home_zhonghuaren update
> > >> >(...)
> > >> >Updated:
> > >> > libcaca.x86_64 0:0.99.beta18-13.1 peazip.x86_64
0:4.9.2-2.1
> > >> >po-debconf.noarch 0:1.0.16-4.1
> > >> >
> > >> >peazip
> > >> >[FORMS.PP] ExceptionOccurred
> > >> > Sender=EReadError
> > >> > Exception=Error reading mback.ShortCutKey2: Unknown
property:
> > >> >"ShortCutKey2"
> > >> > Stack trace:
> > >> >
> > >> >but with same src.rpm built on fedora with mock runs
without errors ,
> > >> >and works pretty well.
> > >>
> > >> As you can see, that is a _YUM_ problem, not a building
problem.
> > >
> > >No, is a binary problem, after yum install or update
peazip, the binary
> > >works different (with errors) build on OBS , is not
supposed to work on
> > >Fedora 18 ?
> >
> >
> > http://code.google.com/p/peazip/issues/detail?id=230
>
> I diff [1] my build and opensuse build and just see this
difference :
> -NOTE: miscellaneous options file not found - using defaults
> +primary config path: /builddir/.lazarus
>
> ls /var/lib/mock/fedora-18-x86_64/root/builddir/ -a
> . .. .bash_logout .bash_profile .bashrc build
.lazarus .rpmmacros
>
> ls /var/lib/mock/fedora-18-x86_64/root/builddir/.lazarus/ -a
> . .. compilertest.pas environmentoptions.xml
>
>
cat
/var/lib/mock/fedora-18-x86_64/root/builddir/.lazarus/environmentoptions.xml
> [2]
>
> [1]
> wget
>

"https://build.opensuse.org/package/rawlog?arch=x86_64&package=peazip&project=home%3Azhonghuaren&repository=Fedora_18";
-O build.log
> cat build.log | perl -pe 's/\[.*?\] //' > build2.log
> diff
build2.log /var/lib/mock/fedora-18-x86_64/result/build.log
-ubBw >
> diffbuild.txt
> http://www.serjux.com/diffbuild.txt
>
> [2]
> <?xml version="1.0"?>
> <CONFIG>
> <EnvironmentOptions>
> <Version Value="107" Lazarus="1.0.4"/>
> <LazarusDirectory Value="/usr/lib64/lazarus">
> <History Count="1">
> <Item1 Value="/usr/lib/lazarus/"/>
> </History>
> </LazarusDirectory>
> <CompilerFilename Value="/usr/bin/fpc">
> <History Count="3">
> <Item1 Value="/usr/local/bin/fpc"/>
> <Item2 Value="/usr/bin/fpc"/>
> <Item3 Value="/opt/fpc/fpc"/>
> </History>
> </CompilerFilename>
> <FPCSourceDirectory Value="/usr/share/fpcsrc">
> <History Count="2">
> <Item1 Value="/usr/share/fpcsrc/"/>
> <Item2 Value="/usr/share/fpcsrc/$(FPCVER)/"/>
> </History>
> </FPCSourceDirectory>
> <MakeFilename>
> <History Count="1">
> <Item1 Value="/usr/bin/make"/>
> </History>
> </MakeFilename>
> <TestBuildDirectory Value="/tmp/">
> <History Count="2">
> <Item1 Value="/tmp/"/>
> <Item2 Value="/var/tmp/"/>
> </History>
> </TestBuildDirectory>
> </EnvironmentOptions>
> </CONFIG>

[295/295] installing lazarus-0.9.30.4-2.fc18
against in /var/lib/mock/fedora-18-x86_64/result/root.log
Installing:
lazarus x86_64 1.0.4-1.fc18
updates

I try to force use lazarus >= 1.0.4
with BuildRequire but got in OBS:
unresolvable nothing provides lazarus >= 1.0.4
well
on my Fedora 18
yum list lazarus
Available Packages
lazarus.x86_64 1.0.4-1.fc18 updates


Thanks,
--
Sérgio M. B.

--
To unsubscribe, e-mail: opensuse-buildservice
+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-buildservice
+owner@xxxxxxxxxxxx


--
Sérgio M. B.



--
Sérgio M. B.

--
Sérgio M. B.

--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-buildservice+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
References